# std::basic_string_view::rend, std::basic_string_view::crend

From cppreference.com
< cpp‎ | string‎ | basic string view

constexpr const_reverse_iterator rend() const; |  | (since C++17)
constexpr const_reverse_iterator crend() const; |  | (since C++17)

Returns a reverse iterator to the character following the last character of the reversed view. It corresponds to the character preceding the first character of the non-reversed view. This character acts as a placeholder, attempting to access it results in undefined behavior.

### Parameters

(none)

### Return value

`const_reverse_iterator` to the character following the last character.

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant

### See also

rbegin crbegin | returns a reverse iterator to the beginning (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string_view/rend&oldid=91616"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template